Bug 537760 - PyQt needs rebuild (was: Luma will not start at all after applying recent updates)
Summary: PyQt needs rebuild (was: Luma will not start at all after applying recent upd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQt
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: sip49
TreeView+ depends on / blocked
 
Reported: 2009-11-16 09:20 UTC by Yaakov Nemoy
Modified: 2009-11-25 15:15 UTC (History)
3 users (show)

Fixed In Version: 4.3.3-7.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 14:56:34 UTC


Attachments (Terms of Use)

Description Yaakov Nemoy 2009-11-16 09:20:34 UTC
Description of problem: Luma will not start at all.


Version-Release number of selected component (if applicable):
[ynemoy@bofh003 ynemoy]$ yum info luma
Loaded plugins: dellsysidplugin2, download-order, downloadonly, presto, refresh-packagekit
Installed Packages
Name       : luma
Arch       : noarch
Version    : 2.4
Release    : 5.fc11


How reproducible:
Haven't tested it on another machine yet.

Steps to Reproduce:
1. Apply all updates in Fedora
2. Install Luma
3. Run Luma
  
Actual results:
[ynemoy@bofh003 ynemoy]$ luma
Traceback (most recent call last):
  File "/usr/bin/luma", line 18, in <module>
    from qt import *
RuntimeError: the sip module implements API v6.0 but the qt module requires API v5.0


Expected results:
A Luma Window

Additional info:
I'm pretty sure it's not really just a luma problem, though i'm not sure.

Comment 1 Jochen Schmitt 2009-11-16 16:25:36 UTC
I'm assuming, that you are using updates-testing. I have try to verify your issue and have to find out, that updates-testing contains a package called sip-4.9.1 which caused your described issue.

Please do the following

1.) Diesable updates-testing
2.) # yum downgrade sip-4.8.2

After this steps, luma should works as expected.

Best Regards:

Jochen Schmitt

Comment 2 Rex Dieter 2009-11-16 16:33:48 UTC
Courious, why is this closed as NOTABUG?  (downgrading to an unsupported ancilliary package isn't really an acceptable resolution, is it?)

Comment 3 Jochen Schmitt 2009-11-16 16:42:26 UTC
Ok, your right. It's seams, that the owner of PyQt4 and PyKDE4 have to rebuild the packages agains the new releases of sip-4.9.1.

Best Regards:

Jochen Schmitt

Comment 4 Rex Dieter 2009-11-16 17:02:18 UTC
It's PyQt that needs the work, to be clear.

Comment 5 Yaakov Nemoy 2009-11-16 20:16:34 UTC
Really? Fedora's not a developer's distro at all and i'm not allowed to post a bug to fix a potential problem that will evenutally trickle down? Now i'm really confused :).

How long will it take for there to be a rebuild? I use Luma pretty frequently and i'd hate to have to switch if i don't need to.

Comment 6 Rex Dieter 2009-11-16 20:29:07 UTC
downgrading sip is certainly a temporary workaround, but it should be fixed properly (which I'm currently working on doing... the breakage was/is in PyQt here)

Comment 7 Yaakov Nemoy 2009-11-17 10:46:32 UTC
Dependencies Resolved

=============================================================================================================================
 Package                                      Arch                Version                       Repository              Size
=============================================================================================================================
Downgrading:
 sip                                          x86_64              4.8.2-1.fc11                  updates                251 k
Removing for dependencies:
 PyKDE4                                       x86_64              4.3.3-3.fc11                  installed               20 M
 PyQt4                                        x86_64              4.6.1-1.fc11                  installed               12 M
 git-cola                                     noarch              1.3.8-1.fc11                  installed              2.1 M
 kdebase-workspace-python-applet              x86_64              4.3.3-7.fc11                  installed               46 k
 kdeutils-printer-applet                      x86_64              6:4.3.3-1.fc11                installed              161 k
 liveusb-creator                              noarch              3.6.8-1.fc11                  installed              503 k
 system-config-printer-kde                    x86_64              7:4.3.3-1.fc11                installed              419 k

Transaction Summary
=============================================================================================================================
Remove        7 Package(s)
Reinstall     0 Package(s)
Downgrade     1 Package(s)

Total download size: 251 k


I wouldn't just blindly advise people to do this though. Yum's got a few issues figuring out which version of what to install when downgrading. Now i see why seth's not such a fan.

Comment 8 Rex Dieter 2009-11-17 17:17:50 UTC
update summary to match reality

Comment 9 Fedora Update System 2009-11-24 07:45:42 UTC
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, sip-4.9.2-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11627

Comment 10 Fedora Update System 2009-11-24 07:52:47 UTC
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, PyKDE-3.16.6-1.fc10, sip-4.9.2-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde kde-l10n PyKDE sip PyQt4 qzion qedje PyQwt PyQt kdebindings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11500

Comment 11 Fedora Update System 2009-11-24 07:59:52 UTC
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, sip-4.9.2-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-workspace kdelibs kdebase-runtime kde-l10n kdeaccessibility kdeadmin kdeartwork kdebase kdeedu kdegames kdegraphics kdelibs-experimental kdemultimedia kdenetwork kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils konq-plugins oxygen-icon-theme qscintilla webkitkde qzion qedje PyQwt PyQt kdebindings PyKDE sip PyQt4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11503

Comment 12 Fedora Update System 2009-11-25 14:56:01 UTC
kdebase-workspace-4.3.3-7.fc10, kdelibs-4.3.3-4.fc10, kdebase-runtime-4.3.3-5.fc10, kdeaccessibility-4.3.3-1.fc10, kdeadmin-4.3.3-1.fc10, kdeartwork-4.3.3-1.fc10, kdebase-4.3.3-3.fc10, kdeedu-4.3.3-1.fc10, kdegames-4.3.3-2.fc10, kdegraphics-4.3.3-1.fc10, kdelibs-experimental-4.3.3-1.fc10, kdemultimedia-4.3.3-1.fc10, kdenetwork-4.3.3-4.fc10, kdepim-4.3.3-1.fc10, kdepim-runtime-4.3.3-1.fc10, kdepimlibs-4.3.3-1.fc10, kdeplasma-addons-4.3.3-1.fc10, kdesdk-4.3.3-1.fc10, kdetoys-4.3.3-1.fc10, kdeutils-4.3.3-1.fc10, konq-plugins-4.3.3-2.fc10, oxygen-icon-theme-4.3.3-1.fc10, qscintilla-2.4-7.fc10, webkitkde-0.0.2-0.1.20091109svn.fc10, kde-l10n-4.3.3-1.fc10, sip-4.9.3-1.fc10, PyKDE-3.16.6-1.fc10, PyQt4-4.6.2-1.fc10, qzion-0.4.0-5.fc10, qedje-0.4.0-4.fc10, PyQwt-5.2.0-2.fc10, PyQt-3.18.1-5.fc10, kdebindings-4.3.3-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-25 15:06:38 UTC
kdebase-workspace-4.3.3-7.fc11, kdelibs-4.3.3-4.fc11, kdebase-runtime-4.3.3-5.fc11, kdeaccessibility-4.3.3-1.fc11, kdeadmin-4.3.3-1.fc11, kdeartwork-4.3.3-1.fc11, kdebase-4.3.3-3.fc11, kdeedu-4.3.3-1.fc11, kdegames-4.3.3-2.fc11, kdegraphics-4.3.3-1.fc11, kdelibs-experimental-4.3.3-1.fc11, kdemultimedia-4.3.3-1.fc11, kdenetwork-4.3.3-4.fc11, kdepim-4.3.3-1.fc11, kdepim-runtime-4.3.3-1.fc11, kdepimlibs-4.3.3-1.fc11, kdeplasma-addons-4.3.3-1.fc11, kdesdk-4.3.3-1.fc11, kdetoys-4.3.3-1.fc11, kdeutils-4.3.3-1.fc11, konq-plugins-4.3.3-2.fc11, oxygen-icon-theme-4.3.3-1.fc11, qscintilla-2.4-7.fc11, webkitkde-0.0.2-0.1.20091109svn.fc11, sip-4.9.3-1.fc11, kde-l10n-4.3.3-1.fc11, PyKDE-3.16.6-1.fc11, PyQt4-4.6.2-1.fc11, qzion-0.4.0-5.fc11, qedje-0.4.0-4.fc11, PyQwt-5.2.0-2.fc11, PyQt-3.18.1-5.fc11, kdebindings-4.3.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-25 15:14:41 UTC
kdebase-workspace-4.3.3-7.fc12, kdelibs-4.3.3-4.fc12, kdebase-runtime-4.3.3-5.fc12, kde-l10n-4.3.3-1.fc12, kdeaccessibility-4.3.3-2.fc12, kdeadmin-4.3.3-1.fc12, kdeartwork-4.3.3-1.fc12, kdebase-4.3.3-3.fc12, kdeedu-4.3.3-2.fc12, kdegames-4.3.3-2.fc12, kdegraphics-4.3.3-1.fc12, kdelibs-experimental-4.3.3-1.fc12, kdemultimedia-4.3.3-2.fc12, kdenetwork-4.3.3-5.fc12, kdepim-4.3.3-1.fc12, kdepim-runtime-4.3.3-1.fc12, kdepimlibs-4.3.3-1.fc12, kdeplasma-addons-4.3.3-1.fc12, kdesdk-4.3.3-1.fc12, kdetoys-4.3.3-1.fc12, kdeutils-4.3.3-1.fc12, konq-plugins-4.3.3-2.fc12, oxygen-icon-theme-4.3.3-1.fc12, qscintilla-2.4-7.fc12, webkitkde-0.0.2-0.1.20091109svn.fc12, sip-4.9.3-1.fc12, qzion-0.4.0-5.fc12, qedje-0.4.0-4.fc12, PyQwt-5.2.0-3.fc12, PyQt-3.18.1-5.fc12, kdebindings-4.3.3-4.fc12, PyKDE-3.16.6-1.fc12, PyQt4-4.6.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.